Bug 1942629 (CVE-2021-21347) - CVE-2021-21347 XStream: Unsafe deserizaliation of com.sun.tools.javac.processing.JavacProcessingEnvironment NameProcessIterator
Summary: CVE-2021-21347 XStream: Unsafe deserizaliation of com.sun.tools.javac.process...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-21347
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1942631 1945527
Blocks: 1942645
TreeView+ depends on / blocked
 
Reported: 2021-03-24 16:12 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-12-02 16:18 UTC (History)
53 users (show)

Fixed In Version: xstream 1.4.16
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in xstream. A remote attacker may be able to load and execute arbitrary code from a remote host only by manipulating the processed input stream. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-04-26 10:47:02 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2475 0 None None None 2021-06-17 13:16:17 UTC
Red Hat Product Errata RHSA-2021:2476 0 None None None 2021-06-17 13:20:34 UTC
Red Hat Product Errata RHSA-2021:4767 0 None None None 2021-11-23 10:35:19 UTC
Red Hat Product Errata RHSA-2021:4918 0 None None None 2021-12-02 16:18:10 UTC

Description Guilherme de Almeida Suckevicz 2021-03-24 16:12:33 UTC
XStream is a Java library to serialize objects to XML and back again. In XStream before version 1.4.16, there is a vulnerability which may allow a remote attacker to load and execute arbitrary code from a remote host only by manipulating the processed input stream. No user is affected, who followed the recommendation to setup XStream's security framework with a whitelist limited to the minimal required types. If you rely on XStream's default blacklist of the Security Framework, you will have to use at least version 1.4.16.

References:
https://github.com/x-stream/xstream/security/advisories/GHSA-qpfq-ph7r-qv6f
https://x-stream.github.io/CVE-2021-21347.html

Comment 1 Guilherme de Almeida Suckevicz 2021-03-24 16:12:56 UTC
Created xstream tracking bugs for this issue:

Affects: fedora-all [bug 1942631]

Comment 3 amctagga 2021-03-29 15:09:19 UTC
Statement:

OpenShift Container Platform (OCP) delivers Jenkins LTS package with bundled XStream library. Due to JEP-200 [1] and JEP-228 [2] Jenkins projects, OCP Jenkins package is not affected by this flaw.

[1] https://github.com/jenkinsci/jep/blob/master/jep/200/README.adoc
[2] https://github.com/jenkinsci/jep/blob/master/jep/228/README.adoc#security

Comment 16 Jonathan Christison 2021-04-08 13:42:46 UTC
Marking Red Hat Jboss AMQ 6 as having a low impact, AMQ distributes affected versions of XStream, however its use in AMQ 6 is not susceptible to the vulnerability as the XStream security framework with an allowlist is in place.

 This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss AMQ 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 18 errata-xmlrpc 2021-04-26 05:48:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:1354 https://access.redhat.com/errata/RHSA-2021:1354

Comment 19 Product Security DevOps Team 2021-04-26 10:47:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-21347

Comment 20 errata-xmlrpc 2021-05-26 21:50:20 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 8.2.0

Via RHSA-2021:2139 https://access.redhat.com/errata/RHSA-2021:2139

Comment 21 errata-xmlrpc 2021-06-17 13:16:02 UTC
This issue has been addressed in the following products:

  RHPAM 7.11.0

Via RHSA-2021:2475 https://access.redhat.com/errata/RHSA-2021:2475

Comment 22 errata-xmlrpc 2021-06-17 13:20:24 UTC
This issue has been addressed in the following products:

  RHDM 7.11.0

Via RHSA-2021:2476 https://access.redhat.com/errata/RHSA-2021:2476

Comment 24 errata-xmlrpc 2021-11-23 10:35:16 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4767 https://access.redhat.com/errata/RHSA-2021:4767

Comment 25 errata-xmlrpc 2021-12-02 16:18:07 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4918 https://access.redhat.com/errata/RHSA-2021:4918


Note You need to log in before you can comment on or make changes to this bug.